package com.bonus.canteen.core.order.deprecated.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class MacQueryPayReceiptOrdDTO {
   private String mchNum;
   private @NotNull(
   message = "设备订单号不能为空"
) String macOrdId;
   private Long custId;
   private Integer nuClearMode;
   @ApiModelProperty("支付状态 1-未支付 2-支付成功 3-支付失败 4-支付关闭 5-申请退款中 6-部分退款 7-退款完成")
   private Integer payState;
   private Integer sourceType;
   private String machineSn;
   @ApiModelProperty("档口id")
   private Long shopstallId;
   @ApiModelProperty("档口名称")
   private String shopstallName;
   private String thirdPayOrdId;
   private Integer payType;
   private String payChannel;
   private String payTenantNum;
   private String payTerminalNum;
   private String payPriKey;
   private String alterThirdPayUrl;

   public String getMchNum() {
      return this.mchNum;
   }

   public String getMacOrdId() {
      return this.macOrdId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getNuClearMode() {
      return this.nuClearMode;
   }

   public Integer getPayState() {
      return this.payState;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public String getShopstallName() {
      return this.shopstallName;
   }

   public String getThirdPayOrdId() {
      return this.thirdPayOrdId;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public String getPayChannel() {
      return this.payChannel;
   }

   public String getPayTenantNum() {
      return this.payTenantNum;
   }

   public String getPayTerminalNum() {
      return this.payTerminalNum;
   }

   public String getPayPriKey() {
      return this.payPriKey;
   }

   public String getAlterThirdPayUrl() {
      return this.alterThirdPayUrl;
   }

   public void setMchNum(final String mchNum) {
      this.mchNum = mchNum;
   }

   public void setMacOrdId(final String macOrdId) {
      this.macOrdId = macOrdId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setNuClearMode(final Integer nuClearMode) {
      this.nuClearMode = nuClearMode;
   }

   public void setPayState(final Integer payState) {
      this.payState = payState;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setShopstallName(final String shopstallName) {
      this.shopstallName = shopstallName;
   }

   public void setThirdPayOrdId(final String thirdPayOrdId) {
      this.thirdPayOrdId = thirdPayOrdId;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setPayChannel(final String payChannel) {
      this.payChannel = payChannel;
   }

   public void setPayTenantNum(final String payTenantNum) {
      this.payTenantNum = payTenantNum;
   }

   public void setPayTerminalNum(final String payTerminalNum) {
      this.payTerminalNum = payTerminalNum;
   }

   public void setPayPriKey(final String payPriKey) {
      this.payPriKey = payPriKey;
   }

   public void setAlterThirdPayUrl(final String alterThirdPayUrl) {
      this.alterThirdPayUrl = alterThirdPayUrl;
   }

}
